Debian Bug report logs - #602499
RFP: flex-sdk -- Framework for building and maintaining expressive web applications

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Joey Parrish <joey.parrish@gmail.com>

Date: Fri, 5 Nov 2010 11:09:02 UTC

Severity: wishlist

Merged with 592007

Blocking fix for 591969: typo3-src: does not build .swf files from source, 632478: RFP: nicofox -- Iceweasel/Firefox extension to extend Nico Nico Douga functionality and save videos

Forwarded to https://issues.apache.org/jira/browse/FLEX-34221

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#602499; Package wnpp. (Fri, 05 Nov 2010 11:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Parrish <joey.parrish@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Fri, 05 Nov 2010 11:09:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joey Parrish <joey.parrish@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: flex-sdk -- The Adobe Flex SDK
Date: Fri, 05 Nov 2010 12:05:22 +0100
Package: wnpp
Severity: wishlist
Owner: Joey Parrish <joey.parrish@gmail.com>


* Package name    : flex-sdk
  Version         : 4.1.0.16076
  Upstream Author : Adobe Systems Incorporated
* URL             : http://opensource.adobe.com/wiki/display/flexsdk/Download+Flex+4
* License         : MPL v1.1
  Programming Lang: Java
  Description     : The Adobe Flex SDK

This package contains the open source Flex SDK from Adobe.
It contains the majority of the Flex SDK (compilers, framework,
debugger) but does not include anything that is not open source,
like the Flash Player, Adobe AIR, etc.

This is the bare minimum you need to create Flex applications.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Joey Parrish <joey.parrish@gmail.com>:
Bug#602499; Package wnpp. (Fri, 05 Nov 2010 16:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Damien Raude-Morvan <drazzib@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Joey Parrish <joey.parrish@gmail.com>. (Fri, 05 Nov 2010 16:39:04 GMT) Full text and rfc822 format available.

Message #10 received at 602499@bugs.debian.org (full text, mbox):

From: Damien Raude-Morvan <drazzib@debian.org>
To: Joey Parrish <joey.parrish@gmail.com>, <602499@bugs.debian.org>
Subject: Re: Bug#602499: ITP: flex-sdk -- The Adobe Flex SDK
Date: Fri, 05 Nov 2010 17:37:43 +0100
Hi Joey,

On Fri, 05 Nov 2010 12:05:22 +0100, Joey Parrish <joey.parrish@gmail.com>
wrote:
> * Package name    : flex-sdk
>   Version         : 4.1.0.16076
>   Upstream Author : Adobe Systems Incorporated
> * URL             :
> http://opensource.adobe.com/wiki/display/flexsdk/Download+Flex+4
> * License         : MPL v1.1
>   Programming Lang: Java
>   Description     : The Adobe Flex SDK

I don't know if it's your first Debian package but it will be a hard
one...

I've looked a bit a


-- 
Damien - Debian Developper
http://wiki.debian.org/DamienRaudeMorvan




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Joey Parrish <joey.parrish@gmail.com>:
Bug#602499; Package wnpp. (Fri, 05 Nov 2010 16:45:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Damien Raude-Morvan <drazzib@drazzib.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Joey Parrish <joey.parrish@gmail.com>. (Fri, 05 Nov 2010 16:45:10 GMT) Full text and rfc822 format available.

Message #15 received at 602499@bugs.debian.org (full text, mbox):

From: Damien Raude-Morvan <drazzib@drazzib.com>
To: <602499@bugs.debian.org>
Cc: Joey Parrish <joey.parrish@gmail.com>
Subject: Re: Bug#602499: ITP: flex-sdk -- The Adobe Flex SDK
Date: Fri, 05 Nov 2010 17:42:44 +0100
[This time a full email...]

Hi Joey,

> On Fri, 05 Nov 2010 12:05:22 +0100, Joey Parrish
<joey.parrish@gmail.com>
> wrote:
> * Package name    : flex-sdk
>   Version         : 4.1.0.16076
>   Upstream Author : Adobe Systems Incorporated
> * URL             :
> http://opensource.adobe.com/wiki/display/flexsdk/Download+Flex+4
> * License         : MPL v1.1
>   Programming Lang: Java
>   Description     : The Adobe Flex SDK

I don't know if it's your first Debian package but it will be a hard
one...

I've looked a bit a 3.3 release and found quite disapointed by many files
in Flex SVN
which had no-licence or were using some non-free licence. You'll have to
do a very carefull
review of every source file in tarball.

You'll find more information here :
http://ovirt.et.redhat.com/page/FlexSDK_RPM

You can also join Flash Packaging Team on Alioth to work in our common SVN
repository :
https://alioth.debian.org/projects/pkg-flash/

Cheers,
-- 
Damien




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#602499; Package wnpp. (Fri, 05 Nov 2010 17:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Parrish <joey.parrish@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 05 Nov 2010 17:54:03 GMT) Full text and rfc822 format available.

Message #20 received at 602499@bugs.debian.org (full text, mbox):

From: Joey Parrish <joey.parrish@gmail.com>
To: Damien Raude-Morvan <drazzib@drazzib.com>
Cc: 602499@bugs.debian.org
Subject: Re: Bug#602499: ITP: flex-sdk -- The Adobe Flex SDK
Date: Fri, 5 Nov 2010 18:50:40 +0100
On Fri, Nov 5, 2010 at 17:42, Damien Raude-Morvan <drazzib@drazzib.com> wrote:
> [This time a full email...]
>
> Hi Joey,
>
>> On Fri, 05 Nov 2010 12:05:22 +0100, Joey Parrish
> <joey.parrish@gmail.com>
>> wrote:
>> * Package name    : flex-sdk
>>   Version         : 4.1.0.16076
>>   Upstream Author : Adobe Systems Incorporated
>> * URL             :
>> http://opensource.adobe.com/wiki/display/flexsdk/Download+Flex+4
>> * License         : MPL v1.1
>>   Programming Lang: Java
>>   Description     : The Adobe Flex SDK
>
> I don't know if it's your first Debian package but it will be a hard
> one...
>
> I've looked a bit a 3.3 release and found quite disapointed by many files
> in Flex SVN
> which had no-licence or were using some non-free licence. You'll have to
> do a very carefull
> review of every source file in tarball.
>
> You'll find more information here :
> http://ovirt.et.redhat.com/page/FlexSDK_RPM
>
> You can also join Flash Packaging Team on Alioth to work in our common SVN
> repository :
> https://alioth.debian.org/projects/pkg-flash/
>
> Cheers,
> --
> Damien
>

Yes, it is my first package.  I'll admit, the technical stuff is not
nearly so complex as the legal stuff.  I've had a perfectly functional
package installed for a few days now.  I thought it would be a matter
of cleaning up policy violations and I'd be able to move forward with
it.

I cleared up all lintian warnings, read all the policy docs, and
everything seemed to meet specs.  Then I realized that my
debian/copyright file was insufficient.  Since then, I've not been
able to make any clear progress.  I thought I knew what the license
was, but I'm just getting lost trying to make sure.

According to Adobe's website, everything in the open-source package is
MPL, and all of the closed-source code is in a separate package under
the Adobe Flex SDK License.  However, the readme.htm in the
open-source package says that everything not explicitly listed
otherwise is under the Adobe Flex SDK License.  There's a list of
folders licensed under the MPL, and a list of all the third-party
software and its licenses... but all of the samples and xml manifests
and such are in the "not explicitly listed" category.  Taking one
random example, mx-manifest.xml says:

<!--
    ADOBE SYSTEMS INCORPORATED
    Copyright 2008 Adobe Systems Incorporated
    All Rights Reserved.

    NOTICE: Adobe permits you to use, modify, and distribute this file
    in accordance with the terms of the license agreement accompanying it.
-->

I guess that would mean that the "license" referred to by this file is
the Adobe Flex SDK License, not the MPL.  I haven't taken the time to
try to interpret the Adobe Flex SDK License yet.  As I understand it
though, so long as everything's re-distributable, I could at least
target non-free.  Do I have that right?  At what point should I ask
for help on the legal list?

Thanks,
--Joey




Forcibly Merged 592007 602499. Request was from Paul Wise <pabs@debian.org> to control@bugs.debian.org. (Sun, 28 Nov 2010 07:09:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Joey Parrish <joey.parrish@gmail.com>:
Bug#602499; Package wnpp. (Sun, 28 Nov 2010 09:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Joey Parrish <joey.parrish@gmail.com>. (Sun, 28 Nov 2010 09:27:05 GMT) Full text and rfc822 format available.

Message #27 received at 602499@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Dave McAllister <dmcallis@adobe.com>, David Lemon <lemon@adobe.com>, Leonard Rosenthol <lrosenth@adobe.com>, Ken Lunde <lunde@adobe.com>
Cc: 602499@bugs.debian.org, Joey Parrish <joey.parrish@gmail.com>, Damien Raude-Morvan <drazzib@debian.org>, "Jaldhar H. Vyas" <jaldhar@debian.org>
Subject: Flex SDK license issues
Date: Sun, 28 Nov 2010 17:26:17 +0800
[Message part 1 (text/plain, inline)]
Hi Adobe & Debian folks,

According to the Intent to Package (ITP), there are some issues[1] with
the Adobe Flex SDK licensing that prevent it from being packaged for
Debian. I was wondering if you could put the ITP owner Joey Parrish in
contact with the appropriate people at Adobe to get these issues
resolved? The Adobe Flex SDK is needed in Debian in order to compile
various projects (including the Yahoo! User Interface Library[2]) from
ActionScript 3 source code. The Adobe Flex SDK is the only full
ActionScript 3 compiler available, Mozilla Tamarin apparently includes a
partial one[3] though. 

     1. http://bugs.debian.org/602499#20
     2. http://bugs.debian.org/591199
     3. http://www.mozilla.org/projects/tamarin/faq.html#compiler

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Joey Parrish <joey.parrish@gmail.com>:
Bug#602499; Package wnpp. (Sun, 28 Nov 2010 19:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dave McAllister <dmcallis@adobe.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Joey Parrish <joey.parrish@gmail.com>. (Sun, 28 Nov 2010 19:27:04 GMT) Full text and rfc822 format available.

Message #32 received at 602499@bugs.debian.org (full text, mbox):

From: Dave McAllister <dmcallis@adobe.com>
To: Paul Wise <pabs@debian.org>, David Lemon <lemon@adobe.com>, Leonard Rosenthol <lrosenth@adobe.com>, Ken Lunde <lunde@adobe.com>
Cc: "602499@bugs.debian.org" <602499@bugs.debian.org>, Joey Parrish <joey.parrish@gmail.com>, Damien Raude-Morvan <drazzib@debian.org>, "Jaldhar H. Vyas" <jaldhar@debian.org>
Subject: Re: Flex SDK license issues
Date: Sun, 28 Nov 2010 09:57:54 -0800
Please have them contact me and I'll work to see what resolutions we can
arrive at.

Davemc


-- 
Dave McAllister
Director, Open Source and Standards
Core Services, Experience and Technology Organization
Adobe Systems, Inc.
W: +1 408-536-3881
GC: +1 650-523-4942

Linux Journal Editorial Adviser, http://www.linuxjournal.com



On 11/28/10 1:26 AM, "Paul Wise" <pabs@debian.org> wrote:

> Hi Adobe & Debian folks,
> 
> According to the Intent to Package (ITP), there are some issues[1] with
> the Adobe Flex SDK licensing that prevent it from being packaged for
> Debian. I was wondering if you could put the ITP owner Joey Parrish in
> contact with the appropriate people at Adobe to get these issues
> resolved? The Adobe Flex SDK is needed in Debian in order to compile
> various projects (including the Yahoo! User Interface Library[2]) from
> ActionScript 3 source code. The Adobe Flex SDK is the only full
> ActionScript 3 compiler available, Mozilla Tamarin apparently includes a
> partial one[3] though.
> 
>      1. http://bugs.debian.org/602499#20
>      2. http://bugs.debian.org/591199
>      3. http://www.mozilla.org/projects/tamarin/faq.html#compiler





Added indication that bug 602499 blocks 591969 Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Mon, 20 Dec 2010 17:09:58 GMT) Full text and rfc822 format available.

Added indication that bug 602499 blocks 632478 Request was from Yao Wei (魏銘廷) <mwei@lxde.org> to control@bugs.debian.org. (Thu, 18 Aug 2011 23:51:15 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Joey Parrish <joey.parrish@gmail.com>. Request was from Raphael Geissert <geissert@debian.org> to control@bugs.debian.org. (Mon, 09 Jan 2012 21:28:54 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#602499; Package wnpp. (Tue, 08 May 2012 17:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Damien Raude-Morvan" <drazzib@drazzib.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 08 May 2012 17:57:03 GMT) Full text and rfc822 format available.

Message #43 received at 602499@bugs.debian.org (full text, mbox):

From: "Damien Raude-Morvan" <drazzib@drazzib.com>
To: Joey Parrish <joey.parrish@gmail.com>, 602499@bugs.debian.org
Subject: Re: Bug#602499: ITP: flex-sdk -- The Adobe Flex SDK
Date: Tue, 8 May 2012 19:52:03 +0200
[Message part 1 (text/plain, inline)]
Hi Joey!

Le vendredi 05 novembre 2010 12:05:22, vous avez écrit :
> Package: wnpp
> Severity: wishlist
> Owner: Joey Parrish <joey.parrish@gmail.com>
> 
> 
> * Package name    : flex-sdk

FYI - maybe you already know that - but Adobe contributed all Flex source 
code, documentation and related assets to the Apache Foundation [1].
It seems that source code repository is slowly getting more and more 
components of Flex SDK [2].

Since ASF should have checked copyright / IP of those components, it might be 
a good starting point for "reactivation" of Flex SDK packaging effort.

[1] http://incubator.apache.org/flex/
[2] http://svn.apache.org/viewvc/incubator/flex/trunk/

Cheers,
-- 
Damien
[signature.asc (application/pgp-signature, inline)]

Owner recorded as Joey Parrish <joey.parrish@gmail.com>. Request was from bartm@knars.be to control@bugs.debian.org. (Thu, 07 Jun 2012 12:57:37 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: flex-sdk -- Framework for building and maintaining' from 'ITP: flex-sdk -- The Adobe Flex SDK' Request was from bartm@knars.be to control@bugs.debian.org. (Thu, 07 Jun 2012 12:57:39 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: flex-sdk -- Framework for building and maintaining expressive web applications' from 'ITP: flex-sdk -- Framework for building and maintaining' Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Thu, 07 Jun 2012 16:27:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Joey Parrish <joey.parrish@gmail.com>:
Bug#602499; Package wnpp. (Tue, 23 Oct 2012 08:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Welzel <gawain@camlann.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Joey Parrish <joey.parrish@gmail.com>. (Tue, 23 Oct 2012 08:33:03 GMT) Full text and rfc822 format available.

Message #54 received at 602499@bugs.debian.org (full text, mbox):

From: Christian Welzel <gawain@camlann.de>
To: 602499@bugs.debian.org
Subject: Progress?
Date: Tue, 23 Oct 2012 10:29:02 +0200
Hi there,

some time ago Apache Flex® 4.8.0 was released.
Is there any progress in packaging this one for main?


-- 
 MfG, Christian Welzel

  GPG-Key:     pub 4096R/5117E119 2011-09-19
  Fingerprint: 3688 337C 0D3E 3725 94EC  E401 8D52 CDE9 5117 E119



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#602499; Package wnpp. (Tue, 23 Oct 2012 14:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Parrish <joey.parrish@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 23 Oct 2012 14:54:03 GMT) Full text and rfc822 format available.

Message #59 received at 602499@bugs.debian.org (full text, mbox):

From: Joey Parrish <joey.parrish@gmail.com>
To: Christian Welzel <gawain@camlann.de>, 602499@bugs.debian.org
Subject: Re: Bug#602499: Progress?
Date: Tue, 23 Oct 2012 09:51:19 -0500
[Message part 1 (text/plain, inline)]
I gave up on Flex.  I don't really use it anymore.  At the time I started
this, Adobe couldn't be bothered to clarify the license issues, and Debian
didn't want to move forward with a non-free version, even though it was
ready to go.

It should be much easier to build a proper package from sources for
inclusion in main now that it's an Apache project, but someone else will
have to take on packaging it.

MfG,
--Joey

On Tue, Oct 23, 2012 at 3:29 AM, Christian Welzel <gawain@camlann.de> wrote:

> Hi there,
>
> some time ago Apache Flex® 4.8.0 was released.
> Is there any progress in packaging this one for main?
>
>
> --
>  MfG, Christian Welzel
>
>   GPG-Key:     pub 4096R/5117E119 2011-09-19
>   Fingerprint: 3688 337C 0D3E 3725 94EC  E401 8D52 CDE9 5117 E119
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Joey Parrish <joey.parrish@gmail.com>:
Bug#602499; Package wnpp. (Tue, 23 Oct 2012 15:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Welzel <gawain@camlann.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Joey Parrish <joey.parrish@gmail.com>. (Tue, 23 Oct 2012 15:48:03 GMT) Full text and rfc822 format available.

Message #64 received at 602499@bugs.debian.org (full text, mbox):

From: Christian Welzel <gawain@camlann.de>
To: Joey Parrish <joey.parrish@gmail.com>
Cc: 602499@bugs.debian.org
Subject: Re: Bug#602499: Progress?
Date: Tue, 23 Oct 2012 17:43:55 +0200
Am 23.10.2012 16:51, schrieb Joey Parrish:

> It should be much easier to build a proper package from sources for
> inclusion in main now that it's an Apache project, but someone else will
> have to take on packaging it.

Can your work be found somewhere?


-- 
 MfG, Christian Welzel

  GPG-Key:     pub 4096R/5117E119 2011-09-19
  Fingerprint: 3688 337C 0D3E 3725 94EC  E401 8D52 CDE9 5117 E119



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#602499; Package wnpp. (Sat, 27 Oct 2012 19:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Parrish <joey.parrish@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 27 Oct 2012 19:48:03 GMT) Full text and rfc822 format available.

Message #69 received at 602499@bugs.debian.org (full text, mbox):

From: Joey Parrish <joey.parrish@gmail.com>
To: Christian Welzel <gawain@camlann.de>
Cc: 602499@bugs.debian.org
Subject: Re: Bug#602499: Progress?
Date: Sat, 27 Oct 2012 12:45:01 -0700
[Message part 1 (text/plain, inline)]
On Tue, Oct 23, 2012 at 8:43 AM, Christian Welzel <gawain@camlann.de> wrote:

> Can your work be found somewhere?
>


Here's where I left off:

http://ghostfirth.com/flex-sdk.tar.gz

There are multiple versions for different Flex SDK releases.  They built
from Adobe's binary distributions since Adobe's sources wouldn't build on
Linux.  That made the package in this state only suitable for inclusion in
non-free, IIRC.

MfG,
--Joey
[Message part 2 (text/html, inline)]

Changed Bug title to 'RFP: flex-sdk -- Framework for building and maintaining expressive web applications' from 'ITP: flex-sdk -- Framework for building and maintaining expressive web applications' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Fri, 16 Aug 2013 17:12:28 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Joey Parrish <joey.parrish@gmail.com>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Fri, 16 Aug 2013 17:12:29 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#602499; Package wnpp. (Sun, 13 Apr 2014 15:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastien ROUCARIES <roucaries.bastien@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 13 Apr 2014 15:27:05 GMT) Full text and rfc822 format available.

Message #78 received at 602499@bugs.debian.org (full text, mbox):

From: Bastien ROUCARIES <roucaries.bastien@gmail.com>
To: 602499@bugs.debian.org, Jason Morawski <rpgdude1@gmail.com>, Joey Parrish <joey.parrish@gmail.com>, Christian Welzel <gawain@camlann.de>, Paul Wise <pabs@debian.org>
Subject: Had upstream blocker bug
Date: Sun, 13 Apr 2014 17:23:53 +0200
control: forwarded -1 https://issues.apache.org/jira/browse/FLEX-34221

Hi,

I am interested in packaging flex.

They are some problem mainly due to non modularised build. It will
speed up review by ftpmaster and allow to get this software by piece
in the archive.

I have summarized upstream:

1. You use a monolithic build tree. It means that we should take a
take it all approach. It slow down the packaging work and render
review (by legal team) slow. Could be possible to have a modularized
approach ? I means that every jar in lib/ has it own package and we
could compile independantly, and does not need to source include them.
I am mainly interested on mxmlc not debugger.
2. Could be possible then to do not use and even get source needing
air/ Adobe Flash Player Content Debugger (it seems possible I compiled
mxmlc without it) ? It is not free and not suitable for distro.
3. Could be possible to use your packaged saxon/xerces/javacc/battikk
and so on. If not could you document why and include patch from
upstream (as a distro we could include it on your package).
4. Could be possible to use joola for playerglobal [1] see also
tamarin project [2]

Thank you very much

Bastien

[1] https://github.com/CoreMedia/jangaroo-libs/tree/master/jooflash/src/main/joo/flash
[2] https://github.com/mozilla/shumway/issues/982



Set Bug forwarded-to-address to 'https://issues.apache.org/jira/browse/FLEX-34221'. Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to 602499-submit@bugs.debian.org. (Sun, 13 Apr 2014 15:27:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 19:55:15 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.